# durationFormat

    text durationFormat(duration, pattern, language)

Returns the duration formatted according to pattern, language is currently ignored.

Pattern symbols with special meaning:

Symbol | Component
--- | ---
d | Days
H | Hours
m | Minutes
s | Seconds
S | Milliseconds
' | Avoid interpretation
'' | Single quote

## Examples

Pattern | Result
--- | ---
H:mm:ss.SSS | 1:34:12.678
H'h'm'm's's' | 1h34m12s
H 'hours', m 'minutes', s 'seconds' | 1 hours, 34 minutes, 12 seconds

## Parameters

1. duration — duration in seconds.
2. pattern — optional formatting pattern, default is H'h'm'm's's'.
3. language — optional language code, currently ignored.

## Returns

- the formatted duration.